gtkmm 2.4: Gtk::RC Class Reference

Main Page Widgets Namespaces Book

# Gtk::RC Class Reference

List of all members.

## Public Member Functions
| RC (const Glib::ustring& filename)
## Static Public Member Functions
void | add_default_file (const Glib::ustring& filename)
| Adds a file to the list of files to be parsed at the end of gtk_init().
Glib::ustring | find_module_in_path (const Glib::ustring& pixmap_file)
| Searches for a theme engine in the GTK+ search path.
Glib::ustring | find_pixmap_in_path (const Glib::RefPtr<Settings>& settings, const Glib::ustring& pixmap_file)
| Looks up a file in pixmap path for the specified Gtk::Settings.
Glib::ustring | find_pixmap_in_path (const Glib::RefPtr<Settings>& settings, GScanner* scanner, const Glib::ustring& pixmap_file)
| Looks up a file in pixmap path for the specified Gtk::Settings.
Glib::StringArrayHandle | get_default_files ()
| Retrieves the current list of RC files that will be parsed at the end of gtk_init().
Glib::ustring | get_module_dir ()
| Returns a directory in which GTK+ looks for theme engines.
Glib::RefPtr<Style> | get_style (const Widget& widget)
| Finds all matching RC styles for a given widget, composites them together, and then creates a Gtk::Style representing the composite appearance.
Glib::ustring | get_theme_dir ()
void | parse_string (const Glib::ustring& rc_string)
bool | reparse_all (const Glib::RefPtr<Settings>& settings, bool force_load=true)
| If the modification time on any previously read file for the given Gtk::Settings has changed, discard all style information and then reread all previously read RC files.
bool | reparse_all ()
| If the modification time on any previously read file for the default Gtk::Settings has changed, discard all style information and then reread all previously read RC files.
void | reset_styles (const Glib::RefPtr<Settings>& settings)
| This method recomputes the styles for all widgets that use a particular Gtk::Settings object.
void | set_default_files (const Glib::StringArrayHandle& filenames)
| Sets the list of files that GTK+ will read at the end of gtk_init().

## Constructor & Destructor Documentation

Gtk::RC::RC | ( | const Glib::ustring& | filename | ) | `[explicit]`

## Member Function Documentation

void Gtk::RC::add_default_file | ( | const Glib::ustring& | filename | ) | `[static]`

  | Adds a file to the list of files to be parsed at the end of gtk_init(). Parameters:
  | filename | the pathname to the file. If filename is not absolute, it is searched in the current directory.

Glib::ustring Gtk::RC::find_module_in_path | ( | const Glib::ustring& | pixmap_file | ) | `[static]`

  | Searches for a theme engine in the GTK+ search path. This function is not useful for applications and should not be used. Parameters:
  | pixmap_file | name of a theme engine.
Returns: The filename, if found, otherwise an empty string.

Glib::ustring Gtk::RC::find_pixmap_in_path | ( | const Glib::RefPtr<Settings>& | settings,
|  | const Glib::ustring& | pixmap_file
| ) | `[static]`

  | Looks up a file in pixmap path for the specified Gtk::Settings. If the file is not found, it outputs a warning message using g_warning() and returns an empty string. Parameters:
  | settings | a Gtk::Settings
  | pixmap_file | name of the pixmap file to locate.
Returns: the filename.

Glib::ustring Gtk::RC::find_pixmap_in_path | ( | const Glib::RefPtr<Settings>& | settings,
|  | GScanner* | scanner,
|  | const Glib::ustring& | pixmap_file
| ) | `[static]`

  | Looks up a file in pixmap path for the specified Gtk::Settings. If the file is not found, it outputs a warning message using g_warning() and returns an empty string. Parameters:
  | settings | a Gtk::Settings
  | scanner | Scanner used to get line number information for the warning message.
  | pixmap_file | name of the pixmap file to locate.
Returns: the filename.

Glib::StringArrayHandle Gtk::RC::get_default_files | ( |  | ) | `[static]`

| Retrieves the current list of RC files that will be parsed at the end of gtk_init(). Returns: An array of filenames.

Glib::ustring Gtk::RC::get_module_dir | ( |  | ) | `[static]`

| Returns a directory in which GTK+ looks for theme engines. For full information about the search for theme engines, see the GTK+ docs. Returns: the directory.

Glib::RefPtr<Style> Gtk::RC::get_style | ( | const Widget& | widget | ) | `[static]`

  | Finds all matching RC styles for a given widget, composites them together, and then creates a Gtk::Style representing the composite appearance. Parameters:
  | widget | a Gtk::Widget.
Returns: the resulting style.

Glib::ustring Gtk::RC::get_theme_dir | ( |  | ) | `[static]`

void Gtk::RC::parse_string | ( | const Glib::ustring& | rc_string | ) | `[static]`

bool Gtk::RC::reparse_all | ( | const Glib::RefPtr<Settings>& | settings,
|  | bool | force_load = `true`
| ) | `[static]`

  | If the modification time on any previously read file for the given Gtk::Settings has changed, discard all style information and then reread all previously read RC files. Parameters:
  | settings | a Gtk::Settings
  | force_load | load whether or not anything changed
Returns: true if the files were reread.

bool Gtk::RC::reparse_all | ( |  | ) | `[static]`

| If the modification time on any previously read file for the default Gtk::Settings has changed, discard all style information and then reread all previously read RC files. Returns: true if the files were reread.

void Gtk::RC::reset_styles | ( | const Glib::RefPtr<Settings>& | settings | ) | `[static]`

  | This method recomputes the styles for all widgets that use a particular Gtk::Settings object. (There is one Gtk::Settings object per Gdk::Screen - see Gtk::Settings::get_for_screen()); It is useful when some global parameter has changed that affects the appearance of all widgets, because when a widget gets a new style, it will both redraw and recompute any cached information about its appearance. As an example, it is used when the default font size set by the operating system changes. Note that this function doesn't affect widgets that have a style set explicitely on them with Gtk::Widget::set_style(). Parameters:
  | settings | a Gtk::Settings
Since: 2.4

void Gtk::RC::set_default_files | ( | const Glib::StringArrayHandle& | filenames | ) | `[static]`

  | Sets the list of files that GTK+ will read at the end of gtk_init(). Parameters:
  | filenames | A list of filenames.

The documentation for this class was generated from the following file:

- rc.h